package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TCcdata;
import com.chinaitop.depot.intelligent.grainsituation.model.TCcdataExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TCcdataMapper {
    int countByExample(TCcdataExample example);

    int deleteByExample(TCcdataExample example);

    int insert(TCcdata record);

    int insertSelective(TCcdata record);

    List<TCcdata> selectByExampleWithBLOBs(TCcdataExample example);

    List<TCcdata> selectByExample(TCcdataExample example);

    int updateByExampleSelective(@Param("record") TCcdata record, @Param("example") TCcdataExample example);

    int updateByExampleWithBLOBs(@Param("record") TCcdata record, @Param("example") TCcdataExample example);

    int updateByExample(@Param("record") TCcdata record, @Param("example") TCcdataExample example);

    void insertBatch(List<TCcdata> tCcdata);

    List<Map<String,Object>> getList(Map<String, Object> map);
}